This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 828129 - [FEAT] volume set trace/error-gen does not validate the translator name
[FEAT] volume set trace/error-gen does not validate the translator name
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Raghavendra Bhat
storage-qa-internal@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 06:24 EDT by Ujjwala
Modified: 2015-10-22 11:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ujjwala 2012-06-04 06:24:23 EDT
Description of problem:
The commands :
$ gluster volume set <VOLNAME> trace <translator-name> 

$ gluster volume set <VOLNAME> error-gen <translator-name>
 does not validate the translator name. Accepts anything character or string.


Version-Release number of selected component (if applicable):
found in 3.3.0 qa45

How reproducible:
Always

Steps to Reproduce:
1. Create a volume 
2. gluster volume set <VOLNAME> trace abc
3. gluster volume set <VOLNAME> error-gen xyz
4. check gluster volume info
  
Actual results:
[root@gqac001 ~]# gluster volume set dht trace $
Set volume successful
[root@gqac001 ~]# gluster volume set dht error-gen abc
Set volume successful
[root@gqac001 ~]# gluster volume info dht
 
Volume Name: dht
Type: Distribute
Volume ID: 15f677dc-1035-4cc9-a038-3fc795e57ad2
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 10.16.157.0:/home/bricks/dht/b1
Brick2: 10.16.157.3:/home/bricks/dht/b1
Options Reconfigured:
debug.error-gen: abc
debug.trace: $



Expected results:
It should validate the translator name. They should be 'posix', 'locks', 'io-threads', 'acl', 'marker', 'index', else should get a error message.

Additional info:
Comment 3 Niels de Vos 2014-11-27 09:45:12 EST
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.
Comment 4 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.